Bug 1271837 - [abrt] gnome-contacts: _gtk_style_provider_private_get_settings(): gnome-contacts-search-provider killed by SIGSEGV
Summary: [abrt] gnome-contacts: _gtk_style_provider_private_get_settings(): gnome-cont...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1872a4f7388c6d01e13a90874d4...
: 1284572 1389237 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-14 20:30 UTC by lennart_reuther
Modified: 2016-12-20 14:59 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 14:59:25 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (48.81 KB, text/plain)
2015-10-14 20:30 UTC, lennart_reuther
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-14 20:30 UTC, lennart_reuther
no flags Details
File: core_backtrace (10.82 KB, text/plain)
2015-10-14 20:30 UTC, lennart_reuther
no flags Details
File: dso_list (20.24 KB, text/plain)
2015-10-14 20:30 UTC, lennart_reuther
no flags Details
File: environ (1020 bytes, text/plain)
2015-10-14 20:30 UTC, lennart_reuther
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-14 20:31 UTC, lennart_reuther
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-14 20:31 UTC, lennart_reuther
no flags Details
File: maps (95.00 KB, text/plain)
2015-10-14 20:31 UTC, lennart_reuther
no flags Details
File: mountinfo (3.38 KB, text/plain)
2015-10-14 20:31 UTC, lennart_reuther
no flags Details
File: open_fds (1.25 KB, text/plain)
2015-10-14 20:31 UTC, lennart_reuther
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-10-14 20:31 UTC, lennart_reuther
no flags Details

Description lennart_reuther 2015-10-14 20:30:47 UTC
Version-Release number of selected component:
gnome-contacts-3.18.0-2.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-contacts-search-provider
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-contacts-search-provider
global_pid:     27017
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gtk_style_provider_private_get_settings at gtkstyleproviderprivate.c:123
 #1 gtk_css_value_initial_compute at gtkcssinitialvalue.c:52
 #2 gtk_css_static_style_compute_value at gtkcssstaticstyle.c:229
 #3 _gtk_css_lookup_resolve at gtkcsslookup.c:125
 #4 gtk_css_static_style_new_compute at gtkcssstaticstyle.c:188
 #5 gtk_css_static_style_get_default at gtkcssstaticstyle.c:159
 #6 gtk_css_node_init at gtkcssnode.c:620
 #7 g_type_create_instance at gtype.c:1864
 #8 g_object_new_internal at gobject.c:1779
 #11 gtk_css_widget_node_new at gtkcsswidgetnode.c:299

Comment 1 lennart_reuther 2015-10-14 20:30:52 UTC
Created attachment 1082967 [details]
File: backtrace

Comment 2 lennart_reuther 2015-10-14 20:30:53 UTC
Created attachment 1082968 [details]
File: cgroup

Comment 3 lennart_reuther 2015-10-14 20:30:55 UTC
Created attachment 1082969 [details]
File: core_backtrace

Comment 4 lennart_reuther 2015-10-14 20:30:57 UTC
Created attachment 1082970 [details]
File: dso_list

Comment 5 lennart_reuther 2015-10-14 20:30:58 UTC
Created attachment 1082971 [details]
File: environ

Comment 6 lennart_reuther 2015-10-14 20:31:00 UTC
Created attachment 1082972 [details]
File: exploitable

Comment 7 lennart_reuther 2015-10-14 20:31:01 UTC
Created attachment 1082973 [details]
File: limits

Comment 8 lennart_reuther 2015-10-14 20:31:04 UTC
Created attachment 1082974 [details]
File: maps

Comment 9 lennart_reuther 2015-10-14 20:31:06 UTC
Created attachment 1082975 [details]
File: mountinfo

Comment 10 lennart_reuther 2015-10-14 20:31:07 UTC
Created attachment 1082976 [details]
File: open_fds

Comment 11 lennart_reuther 2015-10-14 20:31:09 UTC
Created attachment 1082977 [details]
File: proc_pid_status

Comment 12 lennart_reuther 2015-11-11 09:45:56 UTC
Another user experienced a similar problem:

Reactivating Laptop within an secured wifi (credentials need to be added vai web browser)

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-contacts-search-provider
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/libexec/gnome-contacts-search-provider
global_pid:     30528
kernel:         4.2.5-300.fc23.x86_64
package:        gnome-contacts-3.18.0-2.fc23
reason:         gnome-contacts-search-provider killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 leigh scott 2015-11-23 16:02:29 UTC
*** Bug 1284572 has been marked as a duplicate of this bug. ***

Comment 14 leigh scott 2015-11-23 16:03:37 UTC
reassigned to gtk3

Comment 15 leigh scott 2016-10-27 09:08:13 UTC
*** Bug 1389237 has been marked as a duplicate of this bug. ***

Comment 16 Fedora End Of Life 2016-11-24 12:47:21 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2016-12-20 14:59:25 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.